Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Class AttributeNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.makumba.commons.WrappedException
                  org.makumba.LogicException
                      org.makumba.AttributeNotFoundException

All Implemented Interfaces:
  Serializable

    public class AttributeNotFoundException

extends LogicException

An exception thrown if an attribute is not found

Version:
  $Id: AttributeNotFoundException.java 2580 2008-06-14 01:40:40Z rosso_nero $
Author:
  Cristian Bogdan, Manuel Gay
See Also:
  Serialized Form

Constructor Summary
`AttributeNotFoundException(String attName)` construct an exception message from the name of the missing attribute
`AttributeNotFoundException(String attName, boolean isControllerOriginated)` construct an exception message from the name of the missing attribute, indicates origin

Method Summary

Methods inherited from class org.makumba.commons.WrappedException
`getReason, isControllerOriginated, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeNotFoundException

    public AttributeNotFoundException(String attName,
                                      boolean isControllerOriginated)

  construct an exception message from the name of the missing attribute, indicates origin

### AttributeNotFoundException

    public AttributeNotFoundException(String attName)

  construct an exception message from the name of the missing attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20